Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bildanalyse
Class Pixel

    java.lang.Object
      bildanalyse.Pixel

    public class Pixel

extends java.lang.Object

Manipulierbarer, einzelner Bildpunkt (=Pixel), der sich aus Rot-, Grün-, Blau- und Alphakanal zusammensetzt.

Version:
  03.08.08
Author:
  Thomas Leckelt

Constructor Summary
`Pixel()` Erzeugt einen neuen Bildpunkt, der standardmäßig auf die Farbe Schwarz (Rot = Grün = Blau = 0, Alphakanal=255) gesetzt ist.
`Pixel(int r, int g, int b)` Erzeugt einen neuen Bildpunkt mit dem übergebenen Farbwerten.
`Pixel(int r, int g, int b, int a)` Erzeugt einen neuen Bildpunkt mit dem übergebenen Farbwerten.

Method Summary
`int` | `gibAlpha()` Gibt den Wert des Alpha-Kanals zurück.
`int` | `gibBlau()` Gibt den Wert des blauen Kanals zurück.
`int` | `gibGruen()` Gibt den Wert des grünen Kanals zurück.
`int` | `gibRot()` Gibt den Wert des roten Kanals zurück.
`void` | `setzeAlpha(int wert)` Setzt den Wert des Alpha-Kanals auf den angegebenen Wert.
`void` | `setzeBlau(int wert)` Setzt den Wert des blauen Kanals auf den angegebenen Wert.
`void` | `setzeGruen(int wert)` Setzt den Wert des grünen Kanals auf den angegebenen Wert.
`void` | `setzeRot(int wert)` Setzt den Wert des roten Kanals auf den angegebenen Wert.
`java.lang.String` | `toString()` Repräsentiert die aktuelle Wertebelegung der einzelen Kanäle (Rot, Grün, Blau, Alpha) zur Ausgabe in einer Zeichenkette.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pixel

    public Pixel()

  Erzeugt einen neuen Bildpunkt, der standardmäßig auf die Farbe Schwarz (Rot = Grün = Blau = 0, Alphakanal=255) gesetzt ist.

### Pixel

    public Pixel(int r,
                 int g,
                 int b)

  Erzeugt einen neuen Bildpunkt mit dem übergebenen Farbwerten. Der Alpha-Kanal ist in diesem Fall standardmäßig auf den Wert 255 gesetzt.

  Parameters:
    `r` - Wert des roten Kanals für diesen Bildpunkt (0-255)
    `g` - Wert des grünen Kanals für diesen Bildpunkt (0-255)
    `b` - Wert des blauen Kanals für diesen Bildpunkt (0-255)

### Pixel

    public Pixel(int r,
                 int g,
                 int b,
                 int a)

  Erzeugt einen neuen Bildpunkt mit dem übergebenen Farbwerten.

  Parameters:
    `r` - Wert des roten Kanals für diesen Bildpunkt (0-255)
    `g` - Wert des grünen Kanals für diesen Bildpunkt (0-255)
    `b` - Wert des blauen Kanals für diesen Bildpunkt (0-255)
    `a` - Wert des Alpha-Kanals für diesen Bildpunkt (0-255)

Method Detail

### gibAlpha

    public int gibAlpha()

  Gibt den Wert des Alpha-Kanals zurück.

  Returns:
    Wert des Kanals

### gibBlau

    public int gibBlau()

  Gibt den Wert des blauen Kanals zurück.

  Returns:
    Wert des Kanals

### gibGruen

    public int gibGruen()

  Gibt den Wert des grünen Kanals zurück.

  Returns:
    Wert des Kanals

### gibRot

    public int gibRot()

  Gibt den Wert des roten Kanals zurück.

  Returns:
    Wert des Kanals

### setzeAlpha

    public void setzeAlpha(int wert)

  Setzt den Wert des Alpha-Kanals auf den angegebenen Wert.

  Parameters:
    `wert` - Wert des Alpha-Kanals (0-255)

### setzeBlau

    public void setzeBlau(int wert)

  Setzt den Wert des blauen Kanals auf den angegebenen Wert.

  Parameters:
    `wert` - Wert des blauen Kanals (0-255)

### setzeGruen

    public void setzeGruen(int wert)

  Setzt den Wert des grünen Kanals auf den angegebenen Wert.

  Parameters:
    `wert` - Wert des grünen Kanals (0-255)

### setzeRot

    public void setzeRot(int wert)

  Setzt den Wert des roten Kanals auf den angegebenen Wert.

  Parameters:
    `wert` - Wert des roten Kanals (0-255)

### toString

    public java.lang.String toString()

  Repräsentiert die aktuelle Wertebelegung der einzelen Kanäle (Rot, Grün, Blau, Alpha) zur Ausgabe in einer Zeichenkette.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Zeichenkette

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD